Bug 1417703 - Thunar's archive plugin does not provide appropriate tap archive plugin files for file-roller
Summary: Thunar's archive plugin does not provide appropriate tap archive plugin files...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: thunar-archive-plugin
Version: 26
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 17:18 UTC by Benjamin Ariel Nava Martinez
Modified: 2018-05-29 11:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:33:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Benjamin Ariel Nava Martinez 2017-01-30 17:18:05 UTC
Description of problem:
the file-roller package does not come with the appropriate tap files to integrate correctly with Thunar

Version-Release number of selected component (if applicable):
Nombre      : Thunar
Arquitectur : x86_64
Epoch       : 0
Versión     : 1.6.10
Lanzamiento : 6.fc25
Tamaño      : 6.4 M
Repo        : @System
Desde repo  : fedora
Resumen     : Thunar File Manager
URL         : http://thunar.xfce.org/
Licencia    : GPLv2+
Descripción : Thunar is a new modern file manager for the Xfce Desktop
            : Environment. It has been designed from the ground up to be fast
            : and easy-to-use. Its user interface is clean and intuitive, and
            : does not include any confusing or useless options. Thunar is fast
            : and responsive with a good start up time and directory load time.

Nombre      : thunar-archive-plugin
Arquitectur : x86_64
Epoch       : 0
Versión     : 0.3.1
Lanzamiento : 7.fc24
Tamaño      : 213 k
Repo        : @System
Desde repo  : fedora
Resumen     : Archive plugin for the Thunar file manager
URL         : http://goodies.xfce.org/projects/thunar-plugins/thunar-archive-plugin
Licencia    : LGPLv2+
Descripción : The Thunar Archive Plugin allows you to create and extract archive
            : files using the file context menus in the Thunar file manager.
            : Starting with version 0.2.0, the plugin provides a generic
            : scripting interface for archive managers.

Nombre      : file-roller
Arquitectur : x86_64
Epoch       : 0
Versión     : 3.22.2
Lanzamiento : 1.fc25
Tamaño      : 3.9 M
Repo        : @System
Desde repo  : updates
Resumen     : Tool for viewing and creating archives
URL         : https://wiki.gnome.org/Apps/FileRoller
Licencia    : GPLv2+
Descripción : File Roller is an application for creating and viewing archives
            : files, such as tar or zip files.

How reproducible:
Always

Steps to Reproduce:
1. dnf install file roller
2. ls /usr/libexec/thunar-archive-plugin/

Actual results:
org.gnome.FileRoller.tap is not present in the /usr/libexec/thunar-archive-plugin/ directory.

Expected results:
org.gnome.FileRoller.tap to be provided by default.

Additional info:
As a workaround, one can just symlink to the (actually provided) file-roller.tap file like so:

ls /usr/libexec/thunar-archive-plugin/
ln -s file-roller.tap org.gnome.FileRoller.tap

Comment 1 Stephen Lynx 2017-09-17 20:54:00 UTC
Affects epel7.
Centos recently updated to 7.4 and this issue occurs on it, until 7.3 it was fine.

Comment 2 Fedora End Of Life 2017-11-16 19:14:02 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-03 09:04:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 11:33:43 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.